@echo off
..\slim.c\slim2c %1 ..\slim.r\
if errorlevel 1 goto errors
if not exist %1.lnk goto elif
  ..\slim.c\linker %1 win32 <%1.lnk >>%1.c
:elif
if not exist %1.lkr goto fi
  ..\slim.c\linker %1 win32 <%1.lkr >>%1.c
:fi
%CC% -Zi -w -c -I%slim_home%\slim.r %1.c
if not exist %1.lnk goto fi2
  %CC% @%1.rsp ..\slim.r\slim.lib -o %1.exe /nologo /link /nodefaultlib:libcd /defaultlib:odbc32 /defaultlib:wsock32 /PDB:vc50.pdb /DEBUG 
:fi2
if "%2" == "" goto else3
  echo Keeping the c
goto fi3
:else3
  del %1.c
:fi3
goto finish
:errors
  echo Errors, compile failed
:finish


